> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update module metadata

> Updates the metadata of an existing module. Can update name, description, tags, license, and other module properties.



## OpenAPI

````yaml /data-processor-api/openapi/openapi-hdp-server.json patch /modules/{id}
openapi: 3.1.0
info:
  title: Herodotus Data Processor Server API
  description: API documentation for the Herodotus Data Processor Server
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://staging.hdp.api.herodotus.cloud
    description: Staging API endpoint
security: []
tags:
  - name: tasks
    description: Task management endpoints
  - name: health
    description: Health check endpoints
  - name: modules
    description: Module registry endpoints
paths:
  /modules/{id}:
    patch:
      tags:
        - modules
      summary: Update module metadata
      description: >-
        Updates the metadata of an existing module. Can update name,
        description, tags, license, and other module properties.
      operationId: updateModule
      parameters:
        - name: id
          in: path
          description: The unique identifier of the module to update
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModuleRegistryUpdate'
        required: true
      responses:
        '200':
          description: Module updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModuleGetResponse'
        '404':
          description: Module not found
        '500':
          description: Internal server error
components:
  schemas:
    ModuleRegistryUpdate:
      type: object
      properties:
        abi: {}
        description:
          type:
            - string
            - 'null'
        license:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        source_code: {}
        tags:
          type:
            - array
            - 'null'
          items:
            type: string
    ModuleGetResponse:
      type: object
      required:
        - id
        - compilerVersion
        - name
        - usageCount
        - downloadsCount
        - usersCount
        - isVerified
        - publishedOnMarketplace
        - createdAt
        - updatedAt
      properties:
        abi: {}
        compilerVersion:
          type: string
        createdAt:
          type: string
        creatorUser:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        downloadsCount:
          type: integer
          format: int64
        id:
          type: string
        isVerified:
          type: boolean
        latestModuleVersionProgramHash:
          type:
            - string
            - 'null'
        license:
          type:
            - string
            - 'null'
        name:
          type: string
        publishedOnMarketplace:
          type: boolean
        scarbToml:
          type:
            - string
            - 'null'
        sourceCode: {}
        tags:
          type:
            - array
            - 'null'
          items:
            type: string
        updatedAt:
          type: string
        usageCount:
          type: integer
          format: int64
        usersCount:
          type: integer
          format: int64

````